<script>
	import { allowInputIntString } from '$lib/utils';
	import Input from 'flowbite-svelte/Input.svelte';
	import { inputWithLabelSectionClass, inputWithLabelContainerMainClass } from '$lib/stores';
	import InputWithLabel from '../InputWithLabel.svelte';

	let faculty = {
		name: '',
		email: '',
		address: '',
		id: '',
		department: '',
		creditCompleted: null
	};

	let dataSearched = $state(false);
	let dataFound = $state(false);
</script>

<main class="flex flex-col gap-6">
	<main class={inputWithLabelContainerMainClass}>
		<InputWithLabel
			label="Faculty ID"
			size="sm"
			bind:value={faculty.id}
			placeholder="id"
			type="text"
			oninput={allowInputIntString}
		/>
		<section class={inputWithLabelSectionClass}>
			<button
				onclick={() => {
					dataSearched = true;
					dataFound = true;
				}}
				class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
			>
				Search
			</button>
		</section>
	</main>

	{#if dataSearched}
		<main class={inputWithLabelContainerMainClass}>
			<InputWithLabel
				label="Name"
				size="sm"
				bind:value={faculty.name}
				placeholder="name"
				type="text"
				oninput={allowInputIntString}
			/>
			<InputWithLabel
				label="Email"
				size="sm"
				bind:value={faculty.email}
				placeholder="email"
				type="text"
				oninput={allowInputIntString}
			/>
			<InputWithLabel
				label="Address"
				size="sm"
				bind:value={faculty.address}
				placeholder="address"
				type="text"
				oninput={allowInputIntString}
			/>
			<InputWithLabel
				label="Department"
				size="sm"
				bind:value={faculty.department}
				placeholder="department"
				type="text"
				oninput={allowInputIntString}
			/>
		</main>

		<main class="w-fit mr-auto surface-ios-cont rounded-md p-2.5 flex flex-col gap-2">
			{#if dataFound}
				<span>Data found</span>
				<div class="flex gap-2">
					<section class={inputWithLabelSectionClass}>
						<button
							onclick={() => {}}
							class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
						>
							Update
						</button>
					</section>
					<section class={inputWithLabelSectionClass}>
						<button
							onclick={() => {}}
							class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
						>
							Delete
						</button>
					</section>
				</div>
			{:else}
				<span>Data not found</span>
				<section class={inputWithLabelSectionClass}>
					<button
						onclick={() => {}}
						class="surface-ios-comp px-2 py-1 rounded-md flex justify-center items-center text-orange-500 dark:text-orange-400 font-semibold"
					>
						Add Data
					</button>
				</section>
			{/if}
		</main>
	{/if}
</main>
